Package org.eclipse.emf.cdo.spi.server

# Interface ICommitConflictResolver

All Known Implementing Classes:
  `ICommitConflictResolver.Merging`

public interface ICommitConflictResolver

Since:
  4.8
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ICommitConflictResolver.Merging`

## Method Summary

Modifier and Type
Method
Description
`CDOChangeSetData`
`resolveConflicts(IStoreAccessor.CommitContext commitContext, List<InternalCDORevisionDelta> conflicts)`
When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.

## Method Details

### resolveConflicts

CDOChangeSetData resolveConflicts(IStoreAccessor.CommitContext commitContext, List<InternalCDORevisionDelta> conflicts)
When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.